Name:		pcem
Version:	17
Release:	1%{?dist}
Summary:	Classic PC emulator

License:	GPLv2
URL:		https://pcem-emulator.co.uk
Source0:	%{url}/files/PCemV%{version}Linux.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.appdata.xml

BuildRequires:	SDL2-devel
BuildRequires:	wxGTK3-devel
BuildRequires:	openal-soft-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libappstream-glib
BuildRequires:	git
BuildRequires:	gcc
BuildRequires:	g++
BuildRequires:	make

%description
PCem is an emulator for various classic IBM PC clones. It supports various
models of PCs, graphics and sound cards, and CPUs.

%undefine _hardened_build

%prep
%autosetup -c -S git

%build
%configure --enable-release-build --enable-networking --enable-alsa
%make_build CFLAGS="-O3 -g -fcommon" CXXFLAGS="-O3 -g -fcommon"

%install
%make_install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
mkdir -p %{buildroot}%{_metainfodir}
cp %{SOURCE2} %{buildroot}%{_metainfodir}
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/pcem.appdata.xml

%files
%license COPYING
%{_bindir}/pcem
%{_datadir}/applications/pcem.desktop
%{_metainfodir}/pcem.appdata.xml

%changelog
* Thu Dec 3 2020 Benjamin Lowry <ben@ben.gmbh> 17-1
- Update to v17
* Sat May 2 2020 Benjamin Lowry <ben@ben.gmbh> 16-2
- Fix compilation on GCC 10
* Sun Apr 19 2020 Benjamin Lowry <ben@ben.gmbh> 16-1
- Update to v16
* Fri Mar 6 2020 Benjamin Lowry <ben@ben.gmbh> 15-1
- Initial Fedora package
